curl --request GET \
--url https://api.watchdog.no/v1/alert-topic-proposals/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.watchdog.no/v1/alert-topic-proposals/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.watchdog.no/v1/alert-topic-proposals/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agreement_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"operation": "merge",
"topic_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"instructions": "<string>",
"topics": [
{
"ref": "<string>",
"title": "<string>",
"description": "<string>",
"key_questions": [
"<string>"
],
"citations": [
{
"source_ref": 123,
"citation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"available": true,
"source_type": "document",
"document_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"document_name": "<string>",
"section_title": "<string>",
"quote": "<string>",
"verification": "verified",
"original_quote": "<string>",
"context_before": "<string>",
"context_after": "<string>"
}
]
}
],
"groups": [
{
"ref": "<string>",
"kind": "single_alert",
"topic_ref": "<string>",
"alert_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"source_topic_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"title": "<string>",
"message": "<string>",
"line_item": "<string>",
"pricing": "<string>"
}
],
"warnings": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"applied_at": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "validation_error",
"message": "The request is invalid. details lists up to 20 field errors. Request bodies are limited to 2 MiB.",
"request_id": "req_example"
}
}{
"error": {
"code": "invalid_token",
"message": "The bearer token is missing or invalid.",
"request_id": "req_example"
}
}{
"error": {
"code": "forbidden",
"message": "Access denied. The error code says why: forbidden, token_disabled, organization_required, insufficient_role or mfa_required.",
"request_id": "req_example"
}
}{
"error": {
"code": "not_found",
"message": "The resource does not exist in the current organization.",
"request_id": "req_example"
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "Too many requests. Wait for the Retry-After delay before retrying.",
"request_id": "req_example"
}
}{
"error": {
"code": "internal_error",
"message": "Unexpected server failure. Include the request ID when contacting support.",
"request_id": "req_example"
}
}{
"error": {
"code": "service_unavailable",
"message": "Temporarily unavailable. Retry after the Retry-After delay, when provided.",
"request_id": "req_example"
}
}Get a topic proposal
Returns the proposed topics and where each group of alerts goes. applied_at is set once the proposal is applied.
curl --request GET \
--url https://api.watchdog.no/v1/alert-topic-proposals/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.watchdog.no/v1/alert-topic-proposals/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.watchdog.no/v1/alert-topic-proposals/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agreement_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"operation": "merge",
"topic_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"instructions": "<string>",
"topics": [
{
"ref": "<string>",
"title": "<string>",
"description": "<string>",
"key_questions": [
"<string>"
],
"citations": [
{
"source_ref": 123,
"citation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"available": true,
"source_type": "document",
"document_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"document_name": "<string>",
"section_title": "<string>",
"quote": "<string>",
"verification": "verified",
"original_quote": "<string>",
"context_before": "<string>",
"context_after": "<string>"
}
]
}
],
"groups": [
{
"ref": "<string>",
"kind": "single_alert",
"topic_ref": "<string>",
"alert_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"source_topic_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"title": "<string>",
"message": "<string>",
"line_item": "<string>",
"pricing": "<string>"
}
],
"warnings": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"applied_at": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "validation_error",
"message": "The request is invalid. details lists up to 20 field errors. Request bodies are limited to 2 MiB.",
"request_id": "req_example"
}
}{
"error": {
"code": "invalid_token",
"message": "The bearer token is missing or invalid.",
"request_id": "req_example"
}
}{
"error": {
"code": "forbidden",
"message": "Access denied. The error code says why: forbidden, token_disabled, organization_required, insufficient_role or mfa_required.",
"request_id": "req_example"
}
}{
"error": {
"code": "not_found",
"message": "The resource does not exist in the current organization.",
"request_id": "req_example"
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "Too many requests. Wait for the Retry-After delay before retrying.",
"request_id": "req_example"
}
}{
"error": {
"code": "internal_error",
"message": "Unexpected server failure. Include the request ID when contacting support.",
"request_id": "req_example"
}
}{
"error": {
"code": "service_unavailable",
"message": "Temporarily unavailable. Retry after the Retry-After delay, when provided.",
"request_id": "req_example"
}
}Authorizations
Personal API key sent as a bearer token, together with X-Organization-Id. The key must have at least the access level the endpoint requires (read, write or admin).
Headers
The organization to act in. Required for personal API keys; list the organizations you can access with GET /v1/organizations.
Path Parameters
Query Parameters
Return only these fields, comma-separated; use dots for nested fields, such as topics.ref. id is always returned. Fields: id, agreement_id, operation, topic_ids, instructions, topics, groups, warnings, created_at, applied_at.
true adds context_before and context_after to document citations: the text around each quote, used to locate it in the document.
true, false Response
The topic proposal.
merge, split The topics the proposal replaces.
The topics applying creates.
Show child attributes
Show child attributes
Alerts that move together. Every alert of the selected topics is in one group.
Show child attributes
Show child attributes